# $Revision: 1.16 $, $Date: 2004/12/15 19:23:46 $
#
# TODO:
# - add desktop file in Settings/.
#
Summary:	Fluxbox configurator
Summary(pl):	Narzdzie konfiguracyjne dla fluxboksa
Name:		fluxconf
Version:	0.9.7
Release:	3
License:	GPL v2
Vendor:		University of Freiburg / Germany
Group:		X11/Window Managers/Tools
Source0:	http://devaux.fabien.free.fr/flux/%{name}-%{version}.tar.gz
# Source0-md5:	207faf932e07642c779e54aba549c804
Patch0:		%{name}-Makefile.patch
URL:		http://devaux.fabien.free.fr/flux/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
Requires:	fluxbox
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fluxconf is a tool to configure Fluxbox.

%description -l pl
Fluxconf jest narzdziem sucym do konfiguracji Fluxboksa.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_bindir}/fluxconf $RPM_BUILD_ROOT%{_bindir}/fluxmenu
ln -sf %{_bindir}/fluxconf $RPM_BUILD_ROOT%{_bindir}/fluxkeys

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc AUTHORS ChangeLog NEWS README

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fluxconf.spec,v $
Revision 1.16  2004/12/15 19:23:46  kolodko
- added fluxkeys & fluxmenu
- rel 3
- STBR

Revision 1.15  2004/06/12 17:02:35  kali
- removed ABOUT-NLS, COPYING and INSTALL from %%doc

Revision 1.14  2004/01/11 19:47:34  yogib
- added missing lang files
- added BR: gettext-devel

Revision 1.13  2003/12/23 15:18:55  eothane
- updated to 0.9.7

Revision 1.12  2003/12/12 16:28:49  speedy
up to 0.9.6

Revision 1.11  2003/11/30 18:03:15  adamg
- updated to 0.9.5

Revision 1.10  2003/08/22 23:30:28  luzik
 - added patch0

Revision 1.9  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.8  2003/05/29 22:04:55  erjot
- up to 0.9.4

Revision 1.7  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:47:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/18 22:46:46  juandon
- removed two lines with define

Revision 1.4  2002/05/26 11:45:06  kloczek
- adapterized.

Revision 1.3  2002/05/26 11:42:05  kloczek
- simplifications.
TODO: add desktop file in Settings/.

Revision 1.2  2002/05/25 16:58:43  qboosh
- pl fixes, simplifications

Revision 1.1  2002/04/21 14:33:30  maryush
- Initial release
